Summary: Chinese X-term
Name: cxterm-color
Version: 5.0.p3
Release: 2
Packager: diakka <diakka@resnet.gatech.edu>
Source: ftp://ftp.ifcss.org:/pub/software/x-win/cxterm/cxterm%{PACKAGE_VERSION}.tar.gz
Patch0:	cxterm-5.0.p3-color.patch
Patch1:	cxterm-5.0p3-resource.patch
Patch2: cxterm-5.0p3-misc.patch
Patch3: cxterm-5.0p3-main.patch

Copyright: distributable
Group: X11/Utilities/terms
BuildRoot: /tmp/cxterm-root
%description
A terminal emulator for X11, just like "xterm", but with the
capability of displaying and inputting Chinese.

It supports GB, Big5, JIS, and KS encoding.  HZ support is through
"hztty", a separated program avaliable from:
     ftp://ftp.cs.purdue.edu/pub/ygz/hztty.tar.gz

%package big5
Group: X11/Utilities/terms
Summary: big5 Traditional
%description big5
Chinese X-term for Big5

%package gb
Group: X11/Utilities/terms
Summary: GB Simplified
Requires: cxterm-color
%description gb
Chinese X-term for GB

%package jis
Group: X11/Utilities/terms
Summary: JIS Japanese
Requires: cxterm-color
%description jis
Japanese X-term for JIS

%package ks
Group: X11/Utilities/terms
Summary: KS Korean
Requires: cxterm-color
%description ks
Korean X-term for KS

%package fonts
Group: X11/Utilities/terms
Summary: Fonts
%description fonts
Fonts used by cxterm

%prep

%setup -n cxterm-5.0
pwd
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
#/bin/false
make -f Makefile.ini World

%install
#make install
#make install.man

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -m4755 cxterm/cxterm $RPM_BUILD_ROOT/usr/X11R6/bin
install -m755 utils/cit2tit $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m755 utils/tit2cit $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m755 utils/hzimctrl $RPM_BUILD_ROOT/usr/X11R6/bin/

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -m444 cxterm/cxterm.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/cxterm.1x
install -m444 utils/tit2cit.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/tit2cit.1x
install -m444 utils/tit2cit.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/cit2tit.1x
install -m444 utils/hzimctrl.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/hzimctrl.1x

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/cxterm.dic

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/cxterm.dic/big5
for i in dict/big5/*.cit dict/big5/simple.lx ; do
  install -m444 $i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/cxterm.dic/big5
done

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/cxterm.dic/gb
for i in dict/gb/*.cit dict/gb/simple.lx ; do
  install -m444 $i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/cxterm.dic/gb
done

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/cxterm.dic/jis
for i in dict/jis/*.cit ; do
  install -m444 $i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/cxterm.dic/jis
done

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/cxterm.dic/ks
for i in dict/ks/*.cit ; do
  install -m444 $i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/cxterm.dic/ks
done

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/chinese

for i in fonts/*.gz fonts/fonts.alias ; do
  install -m444 $i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/chinese
done
mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/chinese

#

ln -sf cxterm $RPM_BUILD_ROOT/usr/X11R6/bin/cxtermgb
ln -sf cxterm $RPM_BUILD_ROOT/usr/X11R6/bin/cxtermb5
ln -sf cxterm $RPM_BUILD_ROOT/usr/X11R6/bin/cxtermjis
ln -sf cxterm $RPM_BUILD_ROOT/usr/X11R6/bin/cxtermks

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
install -m444 cxterm/CXterm.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/CXTerm

%clean
rm -fr $RPM_BUILD_ROOT

%post

%postun

%files
%attr(-,root,root) %doc Doc/0_index Doc/COPYRIGHT Doc/CXTERM.FAQ Doc/HISTORY
%attr(-,root,root) %doc Doc/README Doc/bug-report Doc/input.doc Doc/version
%attr(-,root,root) %doc Doc/x-resrc Doc/tutorial-1/lecture1.gb
%attr(-,root,root) %doc Doc/tutorial-1/lecture2.gb Doc/tutorial-1/lecture3.gb
%attr(-,root,root) %doc Doc/tutorial-1/lecture4.gb Doc/tutorial-1/lecture5.gb
%attr(-,root,root) %doc Doc/tutorial-1/lecture6.gb Doc/tutorial-1/lecture7.gb
%attr(-,root,root) %doc Doc/tutorial-1/lecture8.gb Doc/tutorial-1/preface.gb
%attr(-,root,root) %doc Doc/tutorial-2/cangjie.gb Doc/tutorial-2/cazicama.gb
%attr(-,root,root) %doc Doc/tutorial-2/cjb.ps.Z Doc/tutorial-2/wbb.ps.Z
%attr(-,root,root) %doc Doc/tutorial-2/readme.doc Doc/tutorial-2/wubi.gb
%attr(-,root,root) %doc Doc/tutorial-2/xuedazi.gb
%attr(-,root,root) %dir /usr/X11R6/lib/X11/cxterm.dic
%attr(-,root,root) %config /usr/X11R6/lib/X11/app-defaults/CXTerm
%attr(-,root,root) /usr/X11R6/bin/cxterm
%attr(-,root,root) /usr/X11R6/bin/tit2cit
%attr(-,root,root) /usr/X11R6/bin/cit2tit
%attr(-,root,root) /usr/X11R6/bin/hzimctrl
%attr(-,root,root) /usr/X11R6/man/man1/cxterm.1x
%attr(-,root,root) /usr/X11R6/man/man1/tit2cit.1x
%attr(-,root,root) /usr/X11R6/man/man1/cit2tit.1x
%attr(-,root,root) /usr/X11R6/man/man1/hzimctrl.1x

%files big5
%attr(-,root,root) /usr/X11R6/bin/cxtermb5
%attr(-,root,root) /usr/X11R6/lib/X11/cxterm.dic/big5

%files gb
%attr(-,root,root) /usr/X11R6/bin/cxtermgb
%attr(-,root,root) /usr/X11R6/lib/X11/cxterm.dic/gb

%files jis
%attr(-,root,root) /usr/X11R6/bin/cxtermjis
%attr(-,root,root) /usr/X11R6/lib/X11/cxterm.dic/jis

%files ks
%attr(-,root,root) /usr/X11R6/bin/cxtermks
%attr(-,root,root) /usr/X11R6/lib/X11/cxterm.dic/ks

%files fonts
%attr(-,root,root) /usr/X11R6/lib/X11/fonts/chinese
